## konqueror 17.12.3

=== plugins/CMakeLists.txt ===

find_package(Qt5TextToSpeech ${QT_REQUIRED_VERSION} QUIET)
set_package_properties(Qt5TextToSpeech PROPERTIES
      PURPOSE "Gives Konqueror a plugin to speak portions or all of a website")
find_package(KF5 REQUIRED COMPONENTS KDELibs4Support Crash)

add_subdirectory( khtmlsettingsplugin )
add_subdirectory( kimgalleryplugin )
add_subdirectory( dirfilter )
# TODO add_subdirectory( uachanger )
add_subdirectory( babelfish )
add_subdirectory( validators )
add_subdirectory( domtreeviewer )
add_subdirectory( webarchiver )

if (Qt5TextToSpeech_FOUND)
   add_subdirectory(ttsplugin)
endif()

if(UNIX)
   add_subdirectory( shellcmdplugin )
endif(UNIX)

# TODO add_subdirectory( imagerotation )
add_subdirectory( minitools )
#add_subdirectory( microformat )
add_subdirectory( autorefresh )
if(UNIX)
   add_subdirectory( fsview )
endif()
add_subdirectory( searchbar )
add_subdirectory( rellinks )

# TODO add_subdirectory( adblock )

add_subdirectory( akregator )

=== libkonq/autotests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

find_package(Qt5Test CONFIG REQUIRED)

include(ECMAddTests)

########### konqpopupmenutest ###############

ecm_add_tests(
   konqpopupmenutest.cpp
   LINK_LIBRARIES KF5Konq Qt5::Test
)

############################################

=== libkonq/src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libkonq\")

########### libkonq ###############

set(konq_LIB_SRCS
   konq_popupmenu.cpp       # now only used by konqueror, could move there
   konq_events.cpp
   konq_historyentry.cpp
   konq_historyloader.cpp
   konq_historyprovider.cpp   # konqueror and konqueror/sidebar
)

add_library(KF5Konq ${konq_LIB_SRCS})

include(GenerateExportHeader)
generate_export_header(KF5Konq BASE_NAME libkonq EXPORT_FILE_NAME libkonq_export.h)

add_library(KF5::Konq ALIAS KF5Konq)

target_link_libraries(KF5Konq
    PUBLIC
    KF5::XmlGui
    KF5::ConfigCore
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::CoreAddons
    KF5::Service
    KF5::Parts
    PRIVATE
    KF5::Bookmarks
    KF5::I18n
    ${ZLIB_LIBRARY}
)

# For crc32 in konq_historyloader.cpp
target_include_directories(KF5Konq PRIVATE "$<INSTALL_INTERFACE:${ZLIB_INCLUDE_DIR}>")


set_target_properties(KF5Konq PROPERTIES
    VERSION ${KONQ_VERSION_STRING}
    SOVERSION ${KONQ_SOVERSION}
    EXPORT_NAME Konq
)

install(TARGETS KF5Konq EXPORT KF5KonqTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES directory_bookmarkbar.desktop DESTINATION ${KDE_INSTALL_DATADIR_KF5}/kbookmark)
install(FILES
    konq_events.h
    konq_historyentry.h
    konq_historyprovider.h
    konq_popupmenu.h
    ${LibKonq_BINARY_DIR}/src/libkonq_export.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
    COMPONENT Devel
)

=== plugins/rellinks/CMakeLists.txt ===



########### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"rellinks\")
find_package(KF5 REQUIRED KHtml)

set(rellinksplugin_PART_SRCS plugin_rellinks.cpp )

add_library(rellinksplugin MODULE ${rellinksplugin_PART_SRCS})



target_link_libraries(rellinksplugin  KF5::KHtml KF5::KDELibs4Support)

install(TARGETS rellinksplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES plugin_rellinks.rc plugin_rellinks.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/khtml/kpartplugins )

=== plugins/shellcmdplugin/CMakeLists.txt ===

########### next target ###############
find_package(KF5 REQUIRED Su)
add_definitions(-DTRANSLATION_DOMAIN=\"kshellcmdplugin\")
set(konq_shellcmdplugin_PART_SRCS kshellcmdexecutor.cpp kshellcmddialog.cpp kshellcmdplugin.cpp )


add_library(konq_shellcmdplugin MODULE ${konq_shellcmdplugin_PART_SRCS})


target_link_libraries(konq_shellcmdplugin KF5::Parts KF5::Su KF5::KDELibs4Support)

install(TARGETS konq_shellcmdplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############
install( FILES kshellcmdplugin.rc kshellcmdplugin.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/dolphinpart/kpartplugins )

=== plugins/ttsplugin/CMakeLists.txt ===
########### khtmlttsplugin ###############
add_definitions(-DTRANSLATION_DOMAIN=\"khtmltts\")
set(khtmlttsplugin_PART_SRCS khtmltts.cpp )

add_library(khtmlttsplugin MODULE ${khtmlttsplugin_PART_SRCS})

target_link_libraries(khtmlttsplugin  KF5::Parts Qt5::TextToSpeech)

install(TARGETS khtmlttsplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES khtmltts.rc khtmltts.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/khtml/kpartplugins )
install( FILES khtmltts.rc khtmltts.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/kwebkitpart/kpartplugins )

=== plugins/webarchiver/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"webarchiver\")
find_package(KF5 REQUIRED COMPONENTS KIO Archive KHtml)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${KDE4_ENABLE_EXCEPTIONS}")
########### next target ###############

set(webarchiverplugin_PART_SRCS plugin_webarchiver.cpp archivedialog.cpp )

ecm_qt_declare_logging_category(webarchiverplugin_PART_SRCS HEADER webarchiverdebug.h IDENTIFIER WEBARCHIVERPLUGIN_LOG CATEGORY_NAME org.kde.konqueror.webarchiver)
ki18n_wrap_ui(webarchiverplugin_PART_SRCS archiveviewbase.ui )

add_library(webarchiverplugin MODULE ${webarchiverplugin_PART_SRCS})

target_link_libraries(webarchiverplugin KF5::KHtml KF5::KDELibs4Support KF5::KIOCore KF5::Archive)
install(TARGETS webarchiverplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### next target ###############

set(webarchivethumbnail_PART_SRCS webarchivecreator.cpp )

add_library(webarchivethumbnail MODULE ${webarchivethumbnail_PART_SRCS})

target_link_libraries(webarchivethumbnail KF5::KHtml KF5::KDELibs4Support KF5::KIOCore)

install(TARGETS webarchivethumbnail  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES plugin_webarchiver.rc plugin_webarchiver.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/khtml/kpartplugins )
install( FILES webarchivethumbnail.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

ecm_install_icons( ${KDE_INSTALL_ICONDIR}   )

=== settings/bookmarks/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"kcmbookmarks\")

########### next target ###############

set(kcm_bookmarks_PART_SRCS
    main.cpp
    bookmarks.cpp)

ki18n_wrap_ui(kcm_bookmarks_PART_SRCS
    bookmarks.ui)

add_library(kcm_bookmarks MODULE ${kcm_bookmarks_PART_SRCS})

target_link_libraries(kcm_bookmarks KF5::KCMUtils KF5::KIOCore KF5::I18n KF5::GuiAddons)

install(TARGETS kcm_bookmarks  DESTINATION ${KDE_INSTALL_PLUGINDIR} )

########### install files ###############

install( FILES bookmarks.desktop DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== settings/performance/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmperformance\")


########### next target ###############

set(kcm_performance_PART_SRCS kcmperformance.cpp konqueror.cpp system.cpp )


ki18n_wrap_ui(kcm_performance_PART_SRCS konqueror_ui.ui system_ui.ui )

add_library(kcm_performance MODULE ${kcm_performance_PART_SRCS})


target_link_libraries(kcm_performance  KF5::ConfigWidgets KF5::KIOWidgets KF5::I18n Qt5::DBus )

install(TARGETS kcm_performance  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES kcmkonqyperformance.desktop kcmperformance.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== webenginepart/icons/CMakeLists.txt ===
include(ECMInstallIcons)
ecm_install_icons(${ICON_INSTALL_DIR})

=== webenginepart/src/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR})

set(kwebenginepartlib_LIB_SRCS
    webenginepart.cpp
    webenginepart_ext.cpp
    webengineview.cpp
    webenginepage.cpp
    websslinfo.cpp
    webhistoryinterface.cpp
    webenginepartdownloadmanager.cpp
    settings/webenginesettings.cpp
    settings/webengine_filter.cpp
    ui/searchbar.cpp
    ui/passwordbar.cpp
    ui/featurepermissionbar.cpp
)

qt5_wrap_ui(kwebenginepartlib_LIB_SRCS
                  ui/searchbar.ui
)

add_library(kwebenginepartlib ${kwebenginepartlib_LIB_SRCS})

generate_export_header(kwebenginepartlib)

target_link_libraries(kwebenginepartlib Qt5::Core Qt5::DBus Qt5::Gui Qt5::Widgets Qt5::WebEngineWidgets Qt5::PrintSupport
    KF5::Parts
    KF5::SonnetCore
    KF5::WindowSystem  # for KUserTimestamp
)

target_include_directories(kwebenginepartlib PUBLIC
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/>"
)

install(TARGETS kwebenginepartlib ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

add_library(webenginepart MODULE webenginepartfactory.cpp)

target_link_libraries(webenginepart kwebenginepartlib)

install(TARGETS webenginepart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts)

install(FILES webenginepart.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

install(FILES webenginepart.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/webenginepart)

=== doc/kcontrol5/bookmarks/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol5/bookmarks)

## konqueror 16.12.3

=== debian/changelog ===
konqueror (4:16.12.3-0ubuntu1) zesty; urgency=medium

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Don't rebuild konqueror in debian/tests/testsuite, use the 'build-
    needed' restriction instead.
  * Create a HOME directory for the 'testsuite' autopkgtest.
  * Update the 'testsuite' autopkgtest for frameworks:
    - use kdeinit5
    - remove libqt4-sql-sqlite from test depends
  * Execute the tests with openbox
  * Add kubuntu_disable_segfaulting_test.diff as a temporary solution
    for a segfaulting test; aparently it passes but crashes right after
    exiting. This problem could be discussed with upstream KDE
    developers to find out a proper solution.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * Add recommends on libkf5khtml-bin. Needed should the non default
    KHTML backend be selected.
  * Remove obsolete build depends
  * Update debian copyright after split from kde-baseapps

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 06 Apr 2017 15:18:49 +0100

konqueror (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ Simon Quigley ]
  * Initial split from kde-baseapps.

  [ Clive Johnston ]
  * Fixing packaging

  [ Rik Mills ]
  * Remove old konsole manpage and obsolete lintian overrides
  * Remove obsolete patches
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * Update QtWebEngine and QtWebChannel dependency dev package names to
    match debian packaging
  * Build dep on qtpositioning5-dev
  * Add optional libtidy-dev build dep
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:18:53 +0000

=== debian/control ===
Source: konqueror
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kded5-dev (>= 5.31.0~),
               libkf5activities-dev (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libtidy-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser
Depends: dolphin, install-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: kfind, libkf5khtml-bin
Breaks: ase-data (<< 4:4.7.2), kde-baseapps-data (<< 4:4.8.4)
Replaces: kde-baseapps-data (<< 4:4.8.4), kdebase-data (<< 4:4.7.2)
Description: advanced file manager, web browser and document viewer
 Konqueror is the KDE web browser and advanced file manager.
 .
 Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
 JavaScript, CSS3, and Netscape plugins such as Flash.
 .
 It supports advanced file management on local UNIX filesystems, with flexible
 views, network transparency, and embedded file viewing.
 .
 It is the canvas for many KDE technologies, from remote file access via KIO to
 component embedding via the KParts object interface, making it one of the most
 customizable applications available.
 .
 This package is part of the KDE base applications module.

Package: konq-plugins
Architecture: any
Depends: konqueror, ${misc:Depends}, ${shlibs:Depends}
Enhances: konqueror
Recommends: imagemagick
Description: plugins for Konqueror, the KDE file/web/document browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for KDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Web navigation plugins:
  - Akregator feed icon: allows one to add a feed to Akregator from Konqueror
  - Auto Refresh: refresh a webpage at a given rate
  - Bookmarklets: enables the use of bookmarklets, bookmarks containing
    JavaScript code
  - Document Relations: displays the document relations of a document
  - DOM Tree Viewer: view the DOM tree of the current page
  - KHTML Settings: fast way to change the JavaScript/images/cookies settings
  - Microformat Icon: displays an icon in the statusbar if the page contains
    a microformat
  - Search Bar: launches web searches from the Konqueror's toolbar
  - Translate: language translation for the current page using Babelfish
  - UserAgent Changer: quick switch of the UserAgent used for the current site
  - Website Validators: CSS and HTML validation tools
  - Web Archiver: creates archives of websites
  - Crash manager: restores your opened tabs if Konqueror crashes (disabled
    by default as Konqueror has this feature builtin)
 .
 File management plugins:
  - Image Gallery: an easy way to generate a HTML image gallery
  - File Size View (kpart): a proportional view of directories and files
    based on file size
  - Transform Image (service menu): rotate and flip images
  - Convert To (service menu): convert and image to another format
  - Directory Filter (dolphin): filter directory views
 .
 This package is part of the KDE base applications module.

Package: libkf5konq6
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: core libraries for Konqueror
 This package contains libraries used by several KDE 4 applications,
 particularly Konqueror.
 .
 This package is part of the KDE base applications module.

Package: libkf5konq-dev
Section: libdevel
Architecture: any
Depends: libkf5konq6 (= ${binary:Version}), ${misc:Depends}
Description: development files for the Konqueror libraries
 This package contains development files for building software that uses the
 Konqueror libraries.
 .
 This package is part of the KDE base applications module.

## konqueror 17.04.3

=== debian/changelog ===
konqueror (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Fix typo in Breaks/Replaces ase-data -> kdebase-data
  * Install traslations and add Breaks/Replaces against kde-l10n
  * Add libkf5konq-data package installing the translations for libkonq.
  * New upstream release (17.04.2)
  * Add kubuntu_fix_failing_test.diff
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:34:22 +0100

=== debian/control ===
--- 
+++ 
@@ -37,8 +37,12 @@
 Provides: info-browser, man-browser, www-browser
 Depends: dolphin, install-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: kfind, libkf5khtml-bin
-Breaks: ase-data (<< 4:4.7.2), kde-baseapps-data (<< 4:4.8.4)
-Replaces: kde-baseapps-data (<< 4:4.8.4), kdebase-data (<< 4:4.7.2)
+Breaks: kde-baseapps-data (<< 4:4.8.4),
+        kdebase-data (<< 4:4.7.2),
+        ${kde-l10n:all}
+Replaces: kde-baseapps-data (<< 4:4.8.4),
+          kdebase-data (<< 4:4.7.2),
+          ${kde-l10n:all}
 Description: advanced file manager, web browser and document viewer
  Konqueror is the KDE web browser and advanced file manager.
  .
@@ -58,6 +62,8 @@
 Architecture: any
 Depends: konqueror, ${misc:Depends}, ${shlibs:Depends}
 Enhances: konqueror
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Recommends: imagemagick
 Description: plugins for Konqueror, the KDE file/web/document browser
  This package contains a variety of useful plugins for Konqueror, the
@@ -95,8 +101,22 @@
 Package: libkf5konq6
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libkf5konq-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: core libraries for Konqueror
+ This package contains libraries used by several KDE 4 applications,
+ particularly Konqueror.
+ .
+ This package is part of the KDE base applications module.
+
+Package: libkf5konq-data
+Section: libs
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Description: core libraries for Konqueror - data files
  This package contains libraries used by several KDE 4 applications,
  particularly Konqueror.
  .

## konqueror 17.12.3

=== debian/changelog ===
konqueror (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:29:32 +0000

konqueror (4:17.12.2-0ubuntu3) bionic; urgency=medium

  * Skip tests on unsupported achitectures

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 23 Feb 2018 13:52:01 +0000

konqueror (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * Actually enable the patch added in ubuntu1

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 23 Feb 2018 08:18:45 +0000

konqueror (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Explicit build dep on zlib1g-dev
  * Disable KonqHtmlTest rightClickClose test. Broken with upstream KDE
    Bug:386984

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:59:42 +0000

konqueror (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Install konqueror.categories file
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:08:24 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,8 @@
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
                qtpositioning5-dev (>= 5.6.1~),
-               qtwebengine5-dev (>= 5.6.1~)
+               qtwebengine5-dev (>= 5.6.1~),
+               zlib1g-dev
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, kinit,
         ktexteditor-katepart,
         openbox
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/konqueror-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/konqueror-([\d.]+).tar.xz

## konqueror 18.04.3

=== debian/changelog ===
konqueror (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Aug 2018 19:21:23 +0100

konqueror (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * Temporarily skip testsuite. Seems to frequently break from upstream
    changes and is not well maintained, so given that Konqueror is a
    leaf package now & effectively replaced by Falkon as 'KDE webrowser'
    we should review the usefulness of running the tests at all.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 16 May 2018 05:12:26 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                qtbase5-dev (>= 5.6.1~),
                qtpositioning5-dev (>= 5.6.1~),
                qtwebengine5-dev (>= 5.6.1~),
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror

## konqueror 18.12.0

=== plugins/akregator/CMakeLists.txt ===

ecm_qt_declare_logging_category(akregatorplugin_DEBUG_SRCS HEADER akregatorplugindebug.h IDENTIFIER AKREGATORPLUGIN_LOG CATEGORY_NAME org.kde.konqueror.akregatorplugin)

########### next target ###############

set(akregatorplugin_PART_SRCS akregatorplugin.cpp pluginutil.cpp )

kcoreaddons_add_plugin(akregatorplugin SOURCES ${akregatorplugin_PART_SRCS} ${akregatorplugin_DEBUG_SRCS} INSTALL_NAMESPACE "kf5/kfileitemaction")
kcoreaddons_desktop_to_json(akregatorplugin akregator_konqplugin.desktop)

target_compile_definitions(akregatorplugin PRIVATE TRANSLATION_DOMAIN="akregator_konqplugin")
target_link_libraries(akregatorplugin KF5::I18n KF5::KIOWidgets Qt5::DBus)

########### next target ###############

set(akregatorkonqfeedicon_PART_SRCS konqfeedicon.cpp feeddetector.cpp pluginutil.cpp )

add_library(akregatorkonqfeedicon MODULE ${akregatorkonqfeedicon_PART_SRCS} ${akregatorplugin_DEBUG_SRCS})

target_compile_definitions(akregatorkonqfeedicon PRIVATE TRANSLATION_DOMAIN="akregator_konqplugin")
target_link_libraries(akregatorkonqfeedicon KF5::Parts KF5::IconThemes)

install(TARGETS akregatorkonqfeedicon DESTINATION ${KDE_INSTALL_PLUGINDIR} )

########### install files ###############

install( FILES akregator_konqplugin.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES akregator_konqfeedicon.desktop akregator_konqfeedicon.rc  DESTINATION  ${KDE_INSTALL_DATADIR}/khtml/kpartplugins )
install( FILES akregator_konqfeedicon.desktop akregator_konqfeedicon.rc  DESTINATION  ${KDE_INSTALL_DATADIR}/kwebkitpart/kpartplugins )

install( FILES feed.png DESTINATION ${KDE_INSTALL_DATADIR}/akregator/pics )

# contains list of debug categories, for kdebugsettings
install(FILES akregatorplugin.categories DESTINATION ${KDE_INSTALL_CONFDIR})

=== plugins/khtmlsettingsplugin/CMakeLists.txt ===




########### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"khtmlsettingsplugin\")

find_package(KF5 REQUIRED KHtml)

set(khtmlsettingsplugin_PART_SRCS settingsplugin.cpp )

add_library(khtmlsettingsplugin MODULE ${khtmlsettingsplugin_PART_SRCS})



target_link_libraries(khtmlsettingsplugin  KF5::Parts KF5::KHtml KF5::KDELibs4Support)

install(TARGETS khtmlsettingsplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES khtmlsettingsplugin.rc khtmlsettingsplugin.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/khtml/kpartplugins )
install( FILES khtmlsettingsplugin.rc khtmlsettingsplugin.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/kwebkitpart/kpartplugins )

=== webenginepart/autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)

macro(webenginepart_unit_tests)
  foreach(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp TEST_NAME ${_testname}
      LINK_LIBRARIES kwebenginepartlib Qt5::Test)
  endforeach()
endmacro(webenginepart_unit_tests)

webenginepart_unit_tests(
  webengine_partapi_test
  webenginepartcookiejar_test
)

target_link_libraries(webenginepartcookiejar_test Qt5::DBus)

=== webenginepart/tests/CMakeLists.txt ===
add_executable(webenginepart_tester webenginepart_tester.cpp)
target_link_libraries(webenginepart_tester kwebenginepartlib Qt5::Core Qt5::Gui Qt5::Widgets Qt5::WebEngineWidgets KF5::I18n KF5::KDELibs4Support)

=== doc/kcontrol5/filemanager/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol5/filemanager)

=== doc/kcontrol5/history/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol5/history)

=== plugins/searchbar/icons/CMakeLists.txt ===
set(searchbar_ICONS
	16-actions-google.png
	22-actions-google.png
	32-actions-google.png
	48-actions-google.png
	64-actions-google.png
	)
set(searchbar_ox_ICONS oxsc-actions-google.svgz)
ecm_install_icons(ICONS ${searchbar_ICONS} DESTINATION ${DATA_INSTALL_DIR}/konqueror/icons/ THEME hicolor )
ecm_install_icons(ICONS ${searchbar_ox_ICONS} DESTINATION ${DATA_INSTALL_DIR}/konqueror/icons/ THEME oxygen )

=== debian/changelog ===
konqueror (4:18.12.0-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:39:54 +0800

konqueror (4:18.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes required.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Dec 2018 16:51:23 +0100

konqueror (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the newly required libkf5wallet-dev build dependency.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.4, no changes required.
  * Mark libkf5konq-dev, and libkf5konq6 as Multi-Arch: same.
  * Slightly reword the description of patch optional-qtwebengine.diff.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 10:08:37 +0200

konqueror (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Dec 2017 13:03:23 +0100

konqueror (4:17.08.3-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Remove the unused kded5-dev build dependency.
  * Remove the libqt5webengine5-dev alternative build dependency for
    qtwebengine5-dev.
  * Remove the extra kde-l10n-ast, and kde-l10n-eo breaks/replaces, as already
    included in ${kde-l10n:all}.
  * Add back the konq-plugins suggest in konqueror.
  * Make konqueror buildable also without QtWebEngine:
    - build the code using it conditionally; patch optional-qtwebengine.diff
    - add the dh-exec build dependency
    - restrict the webengine-related files on architectures with QtWebEngine
    - restrict the qtwebengine5-dev build dependency on the architectures
      where it is available: amd64 arm64 armhf i386 mipsel.
  * Invoke dh_install with --fail-missing, so there is no risk of forgetting
    files.
  * Simplify the install files.

 -- Pino Toscano <pino@debian.org>  Fri, 15 Dec 2017 19:10:25 +0100

konqueror (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Update Vcs fields
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 14:03:23 +0200

konqueror (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:01:53 +0000

konqueror (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:39:16 +0000

konqueror (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:22:56 +0000

konqueror (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:22:55 +0000

konqueror (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:22:46 +0000

konqueror (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:05:34 +0000

konqueror (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:49:18 +0000

konqueror (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:00:36 +0000

konqueror (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:21:05 +0000

konqueror (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 15 Dec 2016 19:31:07 +0000

konqueror (4:16.11.90-0neon) xenial; urgency=medium

  * Initial release.

 -- Raymond Wooninck <tittiatcoke@gmail.com>  Mon, 07 Nov 2016 18:50:18 +0100

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-10~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_install:
	$(overridden_command) --fail-missing

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-baseapps-dbg (<= 4:15.12.1-1~~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, xvfb, openbox, dbus
Restrictions: build-needed

## konqueror 18.12.3

=== debian/changelog ===
konqueror (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:31:08 +0000

konqueror (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:18:18 +0000

konqueror (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)
  * Update install files.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:12:36 +0000

konqueror (4:18.12.0-1ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    - For now do not import changes to build without webengine on ppc64el
      and s390x. Kubuntu does not support these architectures, so we cannot
      commit to maintaining the required non upstream patches & changes.
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/tests: Keep our setup.
    - Library data package for translations.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 03 Jan 2019 08:49:36 +0000

konqueror (4:18.04.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild against libtidy5deb1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Nov 2018 17:58:19 +0000

=== debian/control ===
Source: konqueror
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.27.0~),
               kinit-dev,
               libkf5activities-dev (>= 5.27.0~),
               libkf5archive-dev (>= 5.27.0~),
               libkf5bookmarks-dev,
               libkf5crash-dev (>= 5.27.0~),
               libkf5doctools-dev (>= 5.27.0~),
               libkf5iconthemes-dev,
               libkf5kcmutils-dev (>= 5.27.0~),
               libkf5kdelibs4support-dev (>= 5.27.0~),
               libkf5khtml-dev (>= 5.27.0~),
               libkf5kio-dev (>= 5.37.0~),
               libkf5parts-dev (>= 5.27.0~),
               libkf5su-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libqt5x11extras5-dev,
               libtidy-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~),
               qtscript5-dev,
               qtwebengine5-dev (>= 5.6.1~),
               zlib1g-dev,
Standards-Version: 4.3.0
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror

Package: konq-plugins
Architecture: any
Depends: konqueror (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Enhances: konqueror
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Recommends: imagemagick
Description: plugins for Konqueror, the KDE file/web/document browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for KDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Web navigation plugins:
  - Akregator feed icon: allows one to add a feed to Akregator from Konqueror
  - Auto Refresh: refresh a webpage at a given rate
  - Bookmarklets: enables the use of bookmarklets, bookmarks containing
    JavaScript code
  - Document Relations: displays the document relations of a document
  - DOM Tree Viewer: view the DOM tree of the current page
  - KHTML Settings: fast way to change the JavaScript/images/cookies settings
  - Microformat Icon: displays an icon in the statusbar if the page contains
    a microformat
  - Search Bar: launches web searches from the Konqueror's toolbar
  - Translate: language translation for the current page using Babelfish
  - UserAgent Changer: quick switch of the UserAgent used for the current site
  - Website Validators: CSS and HTML validation tools
  - Web Archiver: creates archives of websites
  - Crash manager: restores your opened tabs if Konqueror crashes (disabled
    by default as Konqueror has this feature builtin)
 .
 File management plugins:
  - Image Gallery: an easy way to generate a HTML image gallery
  - File Size View (kpart): a proportional view of directories and files
    based on file size
  - Transform Image (service menu): rotate and flip images
  - Convert To (service menu): convert and image to another format
  - Directory Filter (dolphin): filter directory views
 .
 This package is part of the KDE base applications module.

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser
Depends: dolphin, install-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: kfind
Suggests: konq-plugins
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: advanced file manager, web browser and document viewer
 Konqueror is the KDE web browser and advanced file manager.
 .
 Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
 JavaScript, CSS3, and Netscape plugins such as Flash.
 .
 It supports advanced file management on local UNIX filesystems, with flexible
 views, network transparency, and embedded file viewing.
 .
 It is the canvas for many KDE technologies, from remote file access via KIO to
 component embedding via the KParts object interface, making it one of the most
 customizable applications available.
 .
 This package is part of the KDE base applications module.

Package: libkf5konq-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: core libraries for Konqueror - data files
 This package contains libraries used by several KDE 4 applications,
 particularly Konqueror.
 .
 This package is part of the KDE base applications module.

Package: libkf5konq-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5konq6 (= ${binary:Version}), libkf5xmlgui-dev, ${misc:Depends}
Description: development files for the Konqueror libraries
 This package contains development files for building software that uses the
 Konqueror libraries.
 .
 This package is part of the KDE base applications module.

Package: libkf5konq6
Section: libs
Architecture: any
Multi-Arch: same
Depends: libkf5konq-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: core libraries for Konqueror
 This package contains libraries used by several KDE 4 applications,
 particularly Konqueror.
 .
 This package is part of the KDE base applications module.

## konqueror 19.04.3

=== debian/changelog ===
konqueror (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:16:47 +0100

konqueror (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:09:34 +0100

konqueror (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:00:30 +0100

konqueror (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * Update install files.
  * Update lintian overrides.
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:46:05 +0100

=== debian/control ===
--- 
+++ 
@@ -120,7 +120,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5konq6 (= ${binary:Version}), libkf5xmlgui-dev, ${misc:Depends}
+Depends: libkf5konq6 (= ${binary:Version}),
+         libkf5xmlgui-dev,
+         ${misc:Depends},
 Description: development files for the Konqueror libraries
  This package contains development files for building software that uses the
  Konqueror libraries.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:16.04.3-10~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, xvfb, openbox, dbus

## konqueror 19.08.2

=== debian/changelog ===
konqueror (4:19.08.2-2+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 4:17.08.3-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 07 Jan 2018 14:14:20 +0000]
  * Remove armhf from webengine arches since raspbian doesn't currently have it.

  [changes introduced in 4:18.12.0-1+rpi1 by Peter Michal Green]
  * Also remove armhf from architecture list for webengine directory in debian/konqueror.install

 -- Peter Micheal Green <plugwash@raspbian.org>  Thu, 31 Oct 2019 19:28:33 +0000

konqueror (4:19.08.2-2) unstable; urgency=medium

  * Team upload.
  * Ship /usr/share/webenginepart/ on all the architectures, not only where
    QtWebEngine is available, as there is content installed no matter the
    architecture.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Oct 2019 20:26:50 +0200

konqueror (4:19.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - bump the KF packages to 5.31.0
    - explicitly add gettext
  * Drop the migration from kde-baseapps-dbg, no more needed after two
    Debian stable releases.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Update the patches:
    - optional-qtwebengine.diff: refresh/update
  * Backport upstream commit 9119e90c00ebe75bd41223eee9b06cda99181a0c to build
    also with QtWebEngine < 5.12.0; patch
    upstream_Fix-CMakeLists.txt-to-compile-WebEnginePartHtmlEmbed.patch.
  * Update install files.
  * Unregister akregatorplugin.categories, and konqueror.categories as
    conffile, as they are no more in /etc.
  * Update lintian overrides.
  * Drop unused, and uninstalled keditbookmarks man page.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Oct 2019 17:36:32 +0200

=== debian/control ===
--- 
+++ 
@@ -7,23 +7,25 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.27.0~),
+               dh-exec,
+               extra-cmake-modules (>= 5.31.0~),
+               gettext,
                kinit-dev,
-               libkf5activities-dev (>= 5.27.0~),
-               libkf5archive-dev (>= 5.27.0~),
+               libkf5activities-dev (>= 5.31.0~),
+               libkf5archive-dev (>= 5.31.0~),
                libkf5bookmarks-dev,
-               libkf5crash-dev (>= 5.27.0~),
-               libkf5doctools-dev (>= 5.27.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
                libkf5iconthemes-dev,
-               libkf5kcmutils-dev (>= 5.27.0~),
-               libkf5kdelibs4support-dev (>= 5.27.0~),
-               libkf5khtml-dev (>= 5.27.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5khtml-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.37.0~),
-               libkf5parts-dev (>= 5.27.0~),
+               libkf5parts-dev (>= 5.31.0~),
                libkf5su-dev,
-               libkf5wallet-dev,
+               libkf5wallet-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev,
                libqt5x11extras5-dev,
                libtidy-dev,
@@ -32,12 +34,12 @@
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.5.0~),
                qtscript5-dev,
-               qtwebengine5-dev (>= 5.6.1~),
+               qtwebengine5-dev (>= 5.5.0~) [amd64 arm64 i386 mipsel],
                zlib1g-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konqueror
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konqueror.git
 
 Package: konq-plugins
 Architecture: any
@@ -103,26 +105,11 @@
  .
  This package is part of the KDE base applications module.
 
-Package: libkf5konq-data
-Section: libs
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
-Description: core libraries for Konqueror - data files
- This package contains libraries used by several KDE 4 applications,
- particularly Konqueror.
- .
- This package is part of the KDE base applications module.
-
 Package: libkf5konq-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5konq6 (= ${binary:Version}),
-         libkf5xmlgui-dev,
-         ${misc:Depends},
+Depends: libkf5konq6 (= ${binary:Version}), libkf5xmlgui-dev, ${misc:Depends}
 Description: development files for the Konqueror libraries
  This package contains development files for building software that uses the
  Konqueror libraries.
@@ -133,9 +120,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: libkf5konq-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all},
+Replaces: ${kde-l10n:all},
 Description: core libraries for Konqueror
  This package contains libraries used by several KDE 4 applications,
  particularly Konqueror.
